macroScript SubObjectSelect
category:"KFScripts" 
toolTip:"SubObjectSelect" 
buttonText:"SubObjectSelect"
------------------------
---v.01 of SubObjectSelect---
---Written by Kiel Figgins---
---  www.3dfiggins.com  -----
-----------------------------
---Intended to make subobject selection more like Maya.  When in subobject mode on an editable poly, running the script will make the
---next selection you make (to another editable poly), already be in the same modifier as you were on the previous object
---To Use: map the Function "SubObjectSelect" to a hotkey ( b - for example), when your going between objects, press ( b ) then
---select your next object.  Becareful not to Right click without first selecting another object, the script will error out.  Will be fixed soon.

(
	subobj = getSelectionLevel $  --gets current objects sub level selection and sets it to variable 'subobj'
	setSelectionLevel $ #object   --sets orginally selected objects sub level to Object
	clearSelection()              --clears selection of all objects
	pickObject select:true        --selects next object clicked on
	setSelectionLevel $ subobj    --selects the sub level selection of newly selected object to the orginal
)




